apiVersion: v1
kind: Secret
metadata:
  name: {{ include "wordpress-nginx.fullname" . }}-secret
  labels:
    {{- include "wordpress-nginx.labels" . | nindent 4 }}
type: Opaque
stringData:
  db-password: {{ .Values.wordpress.dbPassword | quote }}
  admin-password: {{ .Values.wordpress.adminPassword | default (randAlphaNum 16) | quote }}
  auth-key: {{ randAlphaNum 64 | quote }}
  secure-auth-key: {{ randAlphaNum 64 | quote }}
  logged-in-key: {{ randAlphaNum 64 | quote }}
  nonce-key: {{ randAlphaNum 64 | quote }}
  auth-salt: {{ randAlphaNum 64 | quote }}
  secure-auth-salt: {{ randAlphaNum 64 | quote }}
  logged-in-salt: {{ randAlphaNum 64 | quote }}
  nonce-salt: {{ randAlphaNum 64 | quote }}